aboutsummaryrefslogtreecommitdiff
path: root/test_all.sh
diff options
context:
space:
mode:
authorAlexander Yastrebov <yastrebov.alex@gmail.com>2024-01-10 17:01:33 +0100
committerGunnar Morling <gunnar.morling@googlemail.com>2024-01-10 17:53:13 +0100
commitaf269e39fc59e7f09481978f42045c207efc3c31 (patch)
tree79f21411b60858180dd30b30ecab75baf6c0031c /test_all.sh
parent4df425fb9b2e4726c02057d79e2eb5511b7ae6fc (diff)
Update test*.sh to support input file pattern
This is useful for testing fork(s) against subset of test samples
Diffstat (limited to 'test_all.sh')
-rwxr-xr-xtest_all.sh24
1 files changed, 20 insertions, 4 deletions
diff --git a/test_all.sh b/test_all.sh
index e1141d7..eff975d 100755
--- a/test_all.sh
+++ b/test_all.sh
@@ -17,14 +17,30 @@
set -euo pipefail
+INPUT=${1:-""}
+
+if [ "$INPUT" = "-h" ] || [ "$#" -gt 1 ]; then
+ echo "Usage: ./test_all.sh [input file pattern]"
+ echo
+ echo "For each available fork run ./test.sh <fork name> [input file pattern]."
+ echo "Note that optional <input file pattern> should be quoted if contains wild cards."
+ echo
+ echo "Examples:"
+ echo "./test_all.sh"
+ echo "./test_all.sh 2>/dev/null"
+ echo "./test_all.sh src/test/resources/samples/measurements-1.txt"
+ echo "./test_all.sh 'src/test/resources/samples/measurements-*.txt'"
+ exit 1
+fi
+
for impl in $(ls calculate_average_*.sh | sort); do
noext="${impl%%.sh}"
- name=${noext##calculate_average_}
+ fork=${noext##calculate_average_}
- if output=$(./test.sh "$name" 2>&1); then
- echo "PASS $name"
+ if output=$(./test.sh "$fork" "$INPUT" 2>&1); then
+ echo "PASS $fork"
else
- echo "FAIL $name"
+ echo "FAIL $fork"
echo "$output" 1>&2
fi
done